%global modulename gentle-fs

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-gentle-fs
Version:        2.0.1
Release:        1%{?dist}
Summary:        Gentle Filesystem operations

License:        Artistic 2.0
URL:            https://github.com/npm/gentle-fs#readme
Source0:        https://registry.npmjs.org/gentle-fs/-/gentle-fs-2.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(aproba) >= 1.1.2 with npmlib(aproba) < 2.0.0))
BuildRequires:  ((npmlib(fs-vacuum) >= 1.2.10 with npmlib(fs-vacuum) < 2.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.11 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(iferr) >= 0.1.5 with npmlib(iferr) < 0.2.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.1 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(path-is-inside) >= 1.0.2 with npmlib(path-is-inside) < 2.0.0))
BuildRequires:  ((npmlib(read-cmd-shim) >= 1.0.1 with npmlib(read-cmd-shim) < 2.0.0))
BuildRequires:  ((npmlib(slide) >= 1.1.6 with npmlib(slide) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Gentle Filesystem operations

%package 2.0.1
Summary:        Gentle Filesystem operations


%description 2.0.1
Gentle Filesystem operations

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.0.1-1
- Package automatically generated by npm2srpm
